package examples;


import java.io.FileWriter;
import java.io.IOException;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Sep 8, 2004
 * Time: 7:48:53 PM
 */
public class ExceptionExample {
    public static void main(String[] args) {
        for (float f=0; f < 2 * Math.PI; f=f+.01f)
            System.out.println(f/Math.sin(f));

        try {
            writeHelloWorld();
        } catch (IOException e) {
            e.printStackTrace();
        }


    }

    private static void writeHelloWorld() throws IOException {
        String fileSeparator = utils.SystemUtils.getFileSeparator();
        FileWriter fw = new FileWriter("c:"+fileSeparator+"foo.txt");
        fw.write("hello world!");
        fw.close();
    }
}
